'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var React = require('react');

var useTypingEffect = function (strings) {
    var _a = React.useState({
        stringIndex: 0,
        characterIndex: 0,
    }), _b = _a[0], stringIndex = _b.stringIndex, characterIndex = _b.characterIndex, setState = _a[1];
    var handle = function () {
        characterIndex++;
        if (characterIndex === strings[stringIndex].length) {
            characterIndex = 0;
            stringIndex++;
            if (stringIndex == strings.length) {
                stringIndex = 0;
            }
        }
        setState({
            characterIndex: characterIndex,
            stringIndex: stringIndex
        });
    };
    React.useEffect(function () {
        var id = window.setInterval(handle, 300);
        return function () {
            window.clearInterval(id);
        };
    }, []);
    return strings[stringIndex]
        .slice(0, characterIndex);
};

exports.useTypingEffect = useTypingEffect;
//# sourceMappingURL=index.js.map
